org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect

## Class SideEffectTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.SideEffectTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.SideEffectTest.Traversals

- Enclosing class:
    SideEffectTest

      public static class SideEffectTest.Traversals
      extends SideEffectTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.SideEffectTest

      `SideEffectTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,String>` | `get_g_VX1X_out_sideEffectXincr_cX_name(Object v1Id)`
    `Traversal<Vertex,String>` | `get_g_VX1X_out_sideEffectXX_name(Object v1Id)`
    `Traversal<Vertex,String>` | `get_g_VX1X_sideEffectXstore_aX_name(Object v1Id)`
    `Traversal<Vertex,Map<String,Long>>` | `get_g_withSideEffectsXa__linkedhashmapX_withSideEffectXb__arraylist__addAllX_withSideEffectXc__arrayList__addAllX_V_groupXaX_byXlabelX_byXcountX_sideEffectXb__1_2_3X_out_out_out_sideEffectXc__bob_danielX_capXaX()`
    `Traversal<Vertex,Map<String,Long>>` | `get_g_withSideEffectXa__linkedhashmapX_V_out_groupCountXaX_byXlabelX_out_out_capXaX()`
    `Traversal<Vertex,Integer>` | `get_g_withSideEffectXa_0_sumX_V_out_sideEffectXsideEffectsXa_bulkXX_capXaX()`
    `Traversal<Vertex,Integer>` | `get_g_withSideEffectXa_0X_V_out_sideEffectXsideEffectsXa_1XX_capXaX()`
    `Traversal<Vertex,String>` | `get_g_withSideEffectXk_nameX_V_order_byXvalueMap_selectXkX_unfoldX_name()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.SideEffectTest

      `g_VX1X_out_sideEffectXincr_cX_name, g_VX1X_out_sideEffectXX_name, g_VX1X_sideEffectXstore_aX_name, g_withSideEffectsXa__linkedhashmapX_withSideEffectXb__arraylist__addAllX_withSideEffectXc__arrayList__addAllX_V_groupXaX_byXlabelX_byXcountX_sideEffectXb__1_2_3X_out_out_out_sideEffectXc__bob_danielX_capXaX, g_withSideEffectXa__linkedhashmapX_V_out_groupCountXaX_byXlabelX_out_out_capXaX, g_withSideEffectXa_0_sumX_V_out_sideEffectXsideEffectsXa_bulkXX_capXaX, g_withSideEffectXa_0X_V_out_sideEffectXsideEffectsXa_1XX_capXaX, g_withSideEffectXk_nameX_V_order_byXvalueMap_selectXkX_unfoldX_name`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_VX1X_sideEffectXstore_aX_name

          public Traversal<Vertex,String> get_g_VX1X_sideEffectXstore_aX_name(Object v1Id)

      Specified by:
        `get_g_VX1X_sideEffectXstore_aX_name` in class `SideEffectTest`

    - #### get_g_VX1X_out_sideEffectXincr_cX_name

          public Traversal<Vertex,String> get_g_VX1X_out_sideEffectXincr_cX_name(Object v1Id)

      Specified by:
        `get_g_VX1X_out_sideEffectXincr_cX_name` in class `SideEffectTest`

    - #### get_g_VX1X_out_sideEffectXX_name

          public Traversal<Vertex,String> get_g_VX1X_out_sideEffectXX_name(Object v1Id)

      Specified by:
        `get_g_VX1X_out_sideEffectXX_name` in class `SideEffectTest`

    - #### get_g_withSideEffectXa__linkedhashmapX_V_out_groupCountXaX_byXlabelX_out_out_capXaX

          public Traversal<Vertex,Map<String,Long>> get_g_withSideEffectXa__linkedhashmapX_V_out_groupCountXaX_byXlabelX_out_out_capXaX()

      Specified by:
        `get_g_withSideEffectXa__linkedhashmapX_V_out_groupCountXaX_byXlabelX_out_out_capXaX` in class `SideEffectTest`

    - #### get_g_withSideEffectsXa__linkedhashmapX_withSideEffectXb__arraylist__addAllX_withSideEffectXc__arrayList__addAllX_V_groupXaX_byXlabelX_byXcountX_sideEffectXb__1_2_3X_out_out_out_sideEffectXc__bob_danielX_capXaX

          public Traversal<Vertex,Map<String,Long>> get_g_withSideEffectsXa__linkedhashmapX_withSideEffectXb__arraylist__addAllX_withSideEffectXc__arrayList__addAllX_V_groupXaX_byXlabelX_byXcountX_sideEffectXb__1_2_3X_out_out_out_sideEffectXc__bob_danielX_capXaX()

      Specified by:
        `get_g_withSideEffectsXa__linkedhashmapX_withSideEffectXb__arraylist__addAllX_withSideEffectXc__arrayList__addAllX_V_groupXaX_byXlabelX_byXcountX_sideEffectXb__1_2_3X_out_out_out_sideEffectXc__bob_danielX_capXaX` in class `SideEffectTest`

    - #### get_g_withSideEffectXa_0_sumX_V_out_sideEffectXsideEffectsXa_bulkXX_capXaX

          public Traversal<Vertex,Integer> get_g_withSideEffectXa_0_sumX_V_out_sideEffectXsideEffectsXa_bulkXX_capXaX()

      Specified by:
        `get_g_withSideEffectXa_0_sumX_V_out_sideEffectXsideEffectsXa_bulkXX_capXaX` in class `SideEffectTest`

    - #### get_g_withSideEffectXa_0X_V_out_sideEffectXsideEffectsXa_1XX_capXaX

          public Traversal<Vertex,Integer> get_g_withSideEffectXa_0X_V_out_sideEffectXsideEffectsXa_1XX_capXaX()

      Specified by:
        `get_g_withSideEffectXa_0X_V_out_sideEffectXsideEffectsXa_1XX_capXaX` in class `SideEffectTest`

    - #### get_g_withSideEffectXk_nameX_V_order_byXvalueMap_selectXkX_unfoldX_name

          public Traversal<Vertex,String> get_g_withSideEffectXk_nameX_V_order_byXvalueMap_selectXkX_unfoldX_name()

      Specified by:
        `get_g_withSideEffectXk_nameX_V_order_byXvalueMap_selectXkX_unfoldX_name` in class `SideEffectTest`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.